﻿using System.Windows;
namespace SharedResources
{
    public static class SharedResourceKeys
    {
        private static ResourceKey backgroundColorKey;
        private static ResourceKey foregroundColorKey;
        public static ResourceKey BackgroundColorKey
        {
            get
            {
                if (backgroundColorKey == null)
                {
                    backgroundColorKey = new ComponentResourceKey(typeof(SharedResourceKeys), "BackgroundColor");
                }
                return backgroundColorKey;
            }
        }

        public static ResourceKey ForegroundColorKey
        {
            get
            {
                if (foregroundColorKey == null)
                {
                    foregroundColorKey = new ComponentResourceKey(typeof(SharedResourceKeys), "ForegroundColor");
                }
                return foregroundColorKey;
            }
        }
    }
}
